/*
 * Support class for Lua/Java integration.
 */


package utils;

/**
 *
 * @author Ste
 */
public class IIarray {
    private int[][] ddata;

    public IIarray(int rows, int columns) {
	ddata = new int[rows][columns];
    }

    
    public int get(int i, int j) {
	return ddata[i][j];
    }

    public void set(int i, int j, int v) {
	ddata[i][j] = v;
    }

    
    public int[][] iiarray() {
	return ddata;
    }

    public int rows() {
	return ddata.length;
    }

    public int cols() {
	return ddata[0].length;
    }

    
}
