/*
 * Support class for Lua/Java integration.
 */

package utils;

/**
 *
 * @author Ste
 */
public class DDarray {
    private double[][] ddata;
    private double[] data;

    public DDarray(int rows, int columns) {
	ddata = new double[rows][columns];
    }

    public DDarray(double[][] udata) {
	ddata = udata;
    }

    public DDarray(double[] udata) {
	data = udata;
    }

    public double get(int i, int j) {
	return ddata[i][j];
    }

    public double get(int i) {
	return data[i];
    }

    public void set(int i, int j, double v) {
	ddata[i][j] = v;
    }

    public void set(int i, double v) {
	data[i] = v;
    }

    public double[][] ddarray() {
	return ddata;
    }

    public double[] darray() {
	return data;
    }

    public int rows() {
	return ddata.length;
    }

    public int cols() {
	return ddata[0].length;
    }

    public int size() {
	return data.length;
    }
}
